## about-distro 1.0.0

=== debian/changelog ===
about-distro (1.0.0-0ubuntu2) saucy; urgency=low

  * Add upstream_fix-potentially-wrong-ram-calculation.patch
    Prevents memory calculation from going wrong on systems where sysinfo
    uses a memory unit other than 1
  * Add upstream_solid-can-return-empty-processor-list-hide-labels.patch
    Prevents empty processor labels to appear when solid returned an empty
    processor list or the parsing to strings failed terribly

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 14 Oct 2013 16:20:29 +0200

about-distro (1.0.0-0ubuntu1) saucy; urgency=low

  * Official upstream 1.0.0 release.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 29 Aug 2013 12:07:13 +0200

about-distro (0.0git20130828-0ubuntu1) saucy; urgency=low

  * Initial release LP: #215383

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Aug 2013 13:35:01 +0100

## about-distro 1.0.1

=== CMakeLists.txt ===
project(kcm-about-distro)

set(MAJOR_VERSION "0")
set(MINOR_VERSION "0")
set(PATCH_VERSION "0")
set(SUFFIX_VERSION "GIT")

set(VERSION_STRING "${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION}")
if(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}")
else(NOT SUFFIX_VERSION)
    set(VERSION_STRING_FULL "${VERSION_STRING}-${SUFFIX_VERSION}")
endif(NOT SUFFIX_VERSION)

find_package(Qt4 4.7.0 REQUIRED)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-std=c++0x)
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(src)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pl)
add_subdirectory(da)
add_subdirectory(sk)
add_subdirectory(ro)
add_subdirectory(hu)
add_subdirectory(tr)
add_subdirectory(sl)
add_subdirectory(es)
add_subdirectory(gl)
add_subdirectory(ug)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(fi)
add_subdirectory(ru)
add_subdirectory(pt)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(cs)
add_subdirectory(uk)
add_subdirectory(lt)
add_subdirectory(fr)
add_subdirectory(de)
add_subdirectory(sv)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    main.cpp
    LSBRelease.cpp
    Module.cpp
)

kde4_add_ui_files(kcm_SRCS Module.ui)

kde4_add_plugin(kcm_about_distro ${kcm_SRCS})

target_link_libraries(kcm_about_distro
    ${KDE4_KDEUI_LIBRARY}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBRARY}
)

install(TARGETS kcm_about_distro DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES about-distro.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
about-distro (1.0.1-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Dropping upstream_fix-potentially-wrong-ram-calculation.patch and
    upstream_solid-can-return-empty-processor-list-hide-labels.patch.
    Both applied upstream.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 28 Feb 2014 11:55:53 +0100

=== debian/control ===
Source: about-distro
Section: kde
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/base/about-distro

Package: about-distro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KCM displaying distribution and system information
 Displays basic information about your operating system.

## about-distro 2.0.1

=== debian/changelog ===
about-distro (2.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream release LP: #1420289

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Feb 2015 14:06:04 +0100

about-distro (2.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add debian/watch

 -- Harald Sitter <sitter@kde.org>  Mon, 22 Dec 2014 12:32:42 +0100

about-distro (1.50+git20140731.1) utopic; urgency=medium

  * Qt5 snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 28 Jul 2014 22:08:33 +0200

=== debian/control ===
Source: about-distro
Section: kde
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               extra-cmake-modules,
               libkf5configwidgets-dev,
               libkf5solid-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/playground/base/about-distro

Package: about-distro
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KCM displaying distribution and system information
 Displays basic information about your operating system.

=== debian/watch ===
version=3
http://download.kde.org/stable/about-distro/([\d\.]+)/src/about-distro-(.*)\.tar\.xz
